<%
  define_locals do
  end

  def modules
    modules = []
    # Workaround for bug https://bbs.archlinux.org/viewtopic.php?pid=1859876
    modules << "battery" if has_feature? :thinkpad_x1_extreme_gen2
    modules.join(" ")
  end

  def hooks
    hooks = []
    hooks << "base"
    hooks << "udev"
    hooks << "autodetect"
    hooks << "modconf"
    hooks << "block"
    hooks << "keyboard"
    hooks << "keymap"
    hooks << "consolefont"
    hooks << "zfs" if has_feature? :zfs
    hooks << "filesystems"
    hooks << "fsck"
    hooks.join(" ")
  end
-%>

# MODULES
# The following modules are loaded before any boot hooks are
# run.  Advanced users may wish to specify all system modules
# in this array.  For instance:
MODULES=(<%= modules %>)

# BINARIES
# This setting includes any additional binaries a given user may
# wish into the CPIO image.  This is run last, so it may be used to
# override the actual binaries included by a given hook
# BINARIES are dependency parsed, so you may safely ignore libraries
BINARIES=()

# FILES
# This setting is similar to BINARIES above, however, files are added
# as-is and are not parsed in any way.  This is useful for config files.
FILES=()

# HOOKS
# This is the most important setting in this file.  The HOOKS control the
# modules and scripts added to the image, and what happens at boot time.
# Order is important, and it is recommended that you do not change the
# order in which HOOKS are added.  Run 'mkinitcpio -H <hook name>' for
# help on a given hook.
# 'base' is _required_ unless you know precisely what you are doing.
# 'udev' is _required_ in order to automatically load modules
# 'filesystems' is _required_ unless you specify your fs modules in MODULES
HOOKS=(<%= hooks %>)

# COMPRESSION
# Use this to compress the initramfs image. By default, gzip compression
# is used. Use 'cat' to create an uncompressed image.
COMPRESSION="gzip"

# COMPRESSION_OPTIONS
# Additional options for the compressor
#COMPRESSION_OPTIONS=()
